#ifndef __ATMEL_H__
#define __ATMEL_H__

/* to be included only by FucdLayer.h */

#include <usb.h>

#define MAX_ALLOWED_FW_SIZE 65535
#define MAX_DEVICES 10
const int ondevnum[4] = { 8, 8, 13, 9 };

struct at76c503a_device_id {
	char *name;
	int idVendor;
	int idProduct;
};


static struct at76c503a_device_id atmel_device_ids[] = { 
	{"at76c503a", 0x03eb, 0x7605 },
	{"at76c505", 0x03eb, 0x7606 },
	{"at76c505-2958", 0x03eb, 0x7613 },
	{"at76c505A", 0x03eb, 0x7614 },
};

//#ifdef _cplusplus 
extern "C" {
//#endif

int AtmelFirmwareUpgrade(char *filename);
int AtmelGetFwVersion(usb_dev_handle *dev, unsigned char *version);
int AtmelGetModeOfOperation(usb_dev_handle *dev, unsigned char *mode);

//#ifdef _cplusplus 
}
//#endif // c++

#endif // ATMEL_H

