/* StatisticsPage.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __STATISTICSPAGE_H__
#define __STATISTICSPAGE_H__

#include "WinterPage.h"


class CStatisticsPage  :  public CWinterPage
{
public:
	CStatisticsPage( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, long style = 0 );
	virtual ~CStatisticsPage( );

public:
	// Higher update level
	virtual void UpdateWinterPage( );

public:
	virtual int TestControlValues( );
	virtual int TransferToControls( CWinterModel *model = NULL );

protected:
	void ClearPackets( );

protected:
	//Update Statistics( timer event )
	void OnUpdateStats( );

protected:
	//StatisticsPage Functions
	void OnBtClear( wxCommandEvent &event );

private:
	DECLARE_EVENT_TABLE( );
};


#endif // __STATISTICSPAGE_H__


