/* WDefs.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WDEFS_H__
#define __WDEFS_H__

#define MAX_SSID_LENGTH				32
#define SHORT_WEP_KEY_SIZE			5
#define LONG_WEP_KEY_SIZE			13
#define MAX_BSS_ENTRIES				12

#define BSS_TYPE_AD_HOC				1
#define BSS_TYPE_INFRASTRUCTURE		2

#define WEP_DISABLED				0
#define WEP_64bit					1
#define WEP_128bit					2

#define MAJORAPPVERSION				4
#define MINORAPPVERSION				0
#define APPBUILD				0

//#define FALSE					0
//#define TRUE					1
//#define MAX_VNET_CARDS				8

typedef unsigned char 	UCHAR;
typedef unsigned short 	USHORT;
typedef unsigned long 	ULONG;
typedef unsigned int 	UINT;

typedef unsigned char* 	PUCHAR;
typedef unsigned short*	PUSHORT;
//typedef int	 	BOOLEAN;
//typedef void	VOID;


#endif // __WDEFS_H__


