/* WinterPage.cpp */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#include "WinterPage.h"
#include "Decls.h"
#include "HRStrings.h"
#include "ChoiceCtrl.h"
#include "WinterModel.h"
#include "WinterData.h"


// CWinterPage class implementation
//==================================
CWinterPage::CWinterPage( wxWindow *parent, int id, const wxPoint &pos ) : wxPanel( parent, id, pos )
{
}

CWinterPage::~CWinterPage( )
{
}

// Higher update level
void CWinterPage::UpdateWinterPage( )
{
	return;
}

// Called prior to changing the page.
// Return false to veto the change.
bool CWinterPage::OnPageChanging( )
{
	return true;
}

int CWinterPage::TestControlValues( )
{
	// Returns 0 on success, the id of the control with the erroneous value on failure.
	return 0;
}

int CWinterPage::TransferToControls( CWinterModel *model )
{
	// Returns 0 on success, the id of the control with the erroneous value on failure.
	return 0;
}

int CWinterPage::TransferToModel( CWinterModel *model )
{
	// Returns 0 on success, the id of the control with the erroneous value on failure.
	return 0;
}


//  CWinterPageTimer class implementation
//========================================
CWinterPageTimer::CWinterPageTimer( CWinterPage *page ) : wxTimer( )
{
	mAssociatedPage = page;
}

CWinterPageTimer::~CWinterPageTimer( )
{
}

CWinterPage *CWinterPageTimer::GetPage( )
{
	return mAssociatedPage;
}


