/* ChoiceSP.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __CHOICESP_H__
#define __CHOICESP_H__

#include <wx/wx.h>

class CChoiceSP
{
protected:
	wxWindow *mBase;

public:
	CChoiceSP( wxWindow *base );
	virtual ~CChoiceSP( );

public:
	virtual wxArrayString ProvideStrings( int choice_ctrl_id );
};


class CMonitorChoiceSP : public CChoiceSP
{
public:
	CMonitorChoiceSP( wxWindow *base );
	virtual ~CMonitorChoiceSP( );

public:
	virtual wxArrayString ProvideStrings( int choice_ctrl_id );
};



class CProfilesChoiceSP : public CChoiceSP
{
public:
	CProfilesChoiceSP( wxWindow *base );
	virtual ~CProfilesChoiceSP( );

public:
	virtual wxArrayString ProvideStrings( int choice_ctrl_id );

};


class CMainPanelProfilesChoiceSP : public CChoiceSP
{
public:
	CMainPanelProfilesChoiceSP( wxWindow *base );
	virtual ~CMainPanelProfilesChoiceSP( );

public:
	virtual wxArrayString ProvideStrings( int choice_ctrl_id );

};

class CEncryptionChoiceSP : public CChoiceSP
{
public:
	CEncryptionChoiceSP( wxWindow *base );
	virtual ~CEncryptionChoiceSP( );

public:
	virtual wxArrayString ProvideStrings( int choice_ctrl_id );

};

#endif // __CHOICESP_H__


